%define _libdir   /usr/lib
%define _rel      1
%define _release  %{_rel}fi73
%define _unpackaged_files_terminate_build 0

Name: boundary-libpcap
Version: 1.2.1
Release: %{_release}
Summary: A system-independent interface for user-level packet capture
Group: Development/Libraries
License: BSD with advertising
URL: http://www.tcpdump.org
BuildRequires: glibc-kernheaders >= 2.2.0 bison flex bluez-libs-devel
BuildRoot: %{_tmppath}/build-%{name}-%{version}-%{release}
Source: http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
#Patch0: debian/patches/10_shared_lib.diff
#Patch1: debian/patches/15_linker_script.diff
#Patch2: debian/patches/30_man_fixes.diff
#Patch3: debian/patches/40_fix_bus_usb_path.diff
#Patch4: debian/patches/50_kfreebsd.diff
#Patch5: debian/patches/50_autotools-dev.diff

%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

%package devel
Summary: Libraries and header files for the libpcap library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package provides the libraries, include files, and other 
resources needed for developing libpcap applications.
 
%prep
%setup -q -c -n "%{name}-%{version}"
echo '1.1.1' > VERSION

#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing -fPIC -ggdb3 $(getconf LFS_CFLAGS)"
%configure --enable-ipv6 --enable-bluetooth --libdir="/usr/lib"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -rf $RPM_BUILD_ROOT/libpcap.so
%{__rm} -rf $RPM_BUILD_ROOT/libpcap.so.*
%{__rm} -rf /usr/lib/libpcap.so
%{__rm} -rf /usr/lib/libpcap.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE README CHANGES CREDITS
#%{_libdir}/libpcap.so.*
%{_mandir}/man7/pcap*.7*
%{_libdir}/libpcap.a

%files devel
%defattr(-,root,root)
#%{_libdir}/libpcap.so
%{_bindir}/pcap-config
%{_includedir}/pcap*.h
%{_includedir}/pcap
%{_libdir}/libpcap.a
%{_mandir}/man1/pcap-config.1*
%{_mandir}/man3/pcap*.3*
%{_mandir}/man5/pcap*.5*
